Open CASCADE Technology: TDF_AttributeArray1 Class Reference

Open CASCADE Technology 6.8.0

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions
TDF_AttributeArray1 Class Reference

`#include <TDF_AttributeArray1.hxx>`

## Public Member Functions
| TDF_AttributeArray1 (const Standard_Integer Low, const Standard_Integer Up)
| TDF_AttributeArray1 (const Handle< TDF_Attribute > &Item, const Standard_Integer Low, const Standard_Integer Up)
void | Init (const Handle< TDF_Attribute > &V)
void | Destroy ()
| ~TDF_AttributeArray1 ()
Standard_Boolean | IsAllocated () const
const TDF_AttributeArray1 & | Assign (const TDF_AttributeArray1 &Other)
const TDF_AttributeArray1 & | operator= (const TDF_AttributeArray1 &Other)
Standard_Integer | Length () const
Standard_Integer | Lower () const
Standard_Integer | Upper () const
void | SetValue (const Standard_Integer Index, const Handle< TDF_Attribute > &Value)
const Handle< TDF_Attribute > & | Value (const Standard_Integer Index) const
const Handle< TDF_Attribute > & | operator() (const Standard_Integer Index) const
Handle< TDF_Attribute > & | ChangeValue (const Standard_Integer Index)
Handle< TDF_Attribute > & | operator() (const Standard_Integer Index)

## Constructor & Destructor Documentation

TDF_AttributeArray1::TDF_AttributeArray1 | ( | const Standard_Integer | Low,
|  | const Standard_Integer | Up
| ) |  |

TDF_AttributeArray1::TDF_AttributeArray1 | ( | const Handle< TDF_Attribute > & | Item,
|  | const Standard_Integer | Low,
|  | const Standard_Integer | Up
| ) |  |

TDF_AttributeArray1::~TDF_AttributeArray1 | ( |  | ) |
| inline

## Member Function Documentation

const TDF_AttributeArray1& TDF_AttributeArray1::Assign | ( | const TDF_AttributeArray1 & | Other | ) |

Handle< TDF_Attribute >& TDF_AttributeArray1::ChangeValue | ( | const Standard_Integer | Index | ) |

void TDF_AttributeArray1::Destroy | ( |  | ) |

void TDF_AttributeArray1::Init | ( | const Handle< TDF_Attribute > & | V | ) |

Standard_Boolean TDF_AttributeArray1::IsAllocated | ( |  | ) | const

Standard_Integer TDF_AttributeArray1::Length | ( |  | ) | const

Standard_Integer TDF_AttributeArray1::Lower | ( |  | ) | const

const Handle< TDF_Attribute >& TDF_AttributeArray1::operator() | ( | const Standard_Integer | Index | ) | const
| inline

Handle< TDF_Attribute >& TDF_AttributeArray1::operator() | ( | const Standard_Integer | Index | ) |
| inline

const TDF_AttributeArray1& TDF_AttributeArray1::operator= | ( | const TDF_AttributeArray1 & | Other | ) |
| inline

void TDF_AttributeArray1::SetValue | ( | const Standard_Integer | Index,
|  | const Handle< TDF_Attribute > & | Value
| ) |  |

Standard_Integer TDF_AttributeArray1::Upper | ( |  | ) | const

const Handle< TDF_Attribute >& TDF_AttributeArray1::Value | ( | const Standard_Integer | Index | ) | const

The documentation for this class was generated from the following file:

- TDF_AttributeArray1.hxx